clear all
clc

%Definice teles
%Tycka
m_tycka = 0.001; %[kg]
l_tycka = 1; %[m]
I_tycka = (m_tycka*l_tycka^2)/12 * [0 0 0;0 1 0; 0 0 1]; %[kg*m^2]


%Zavazi
m_zavazi = 10; %[kg]
R_zavazi = 0.1; %[m]
h_zavazi = R_zavazi/2; %[m]
I_zavazi = [(m_zavazi/4)*(R_zavazi^2 + (h_zavazi^2)/3 ) 0 0;
            0 (m_zavazi/4)*(R_zavazi^2 + (h_zavazi^2)/3 ) 0;
            0 0 (m_zavazi*R_zavazi^2)/2];%[kg*m^2]


%Tuhost (k) [N/m]
k = 1000000;
%Tlumeni (b) [N*s/m]
b = 10;
% F0 [N]
amp = 5;
% budici frekvence [Hz]
freq = 50.2248; %[Hz]
w = freq *2*pi;  %[rad/s]

%Horni vule
vule_H = 0.01;
%Spodni vule
vule_L = -0.18;
